Bug 1455087 - Failed to restart network service in rhel6 guest after converting to glance by virt-v2v
Summary: Failed to restart network service in rhel6 guest after converting to glance b...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux Advanced Virtualization
Classification: Red Hat
Component: virt-v2v
Version: 8.0
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.1
Assignee: Richard W.M. Jones
QA Contact: tingting zheng
URL:
Whiteboard: V2V
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-24 09:06 UTC by mxie@redhat.com
Modified: 2021-02-18 15:08 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-15 07:36:55 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
virt-v2v-rhel6-openstack.log (1.38 MB, text/plain)
2017-05-24 09:06 UTC, mxie@redhat.com
no flags Details
rhel6-glance (95.28 KB, image/png)
2017-05-24 09:10 UTC, mxie@redhat.com
no flags Details
original-rhel6 (193.64 KB, image/png)
2017-05-24 09:11 UTC, mxie@redhat.com
no flags Details
lspci-original-rhel6 (22.52 KB, text/plain)
2017-05-24 09:12 UTC, mxie@redhat.com
no flags Details
rhel6-openstack-lspci.log (2.84 KB, text/plain)
2017-05-24 10:52 UTC, mxie@redhat.com
no flags Details
rhel6-openstack-dmesg.log (22.67 KB, text/plain)
2017-05-24 10:52 UTC, mxie@redhat.com
no flags Details
rhel6-convert-from-disk.png (94.98 KB, image/png)
2017-06-08 04:10 UTC, mxie@redhat.com
no flags Details
rhel6-convert-from-disk.log (1.34 MB, text/plain)
2017-06-08 04:10 UTC, mxie@redhat.com
no flags Details

Description mxie@redhat.com 2017-05-24 09:06:03 UTC
Created attachment 1281894 [details]
virt-v2v-rhel6-openstack.log

Description of problem:
Failed to restart network service in rhel6 guest after converting to glance by virt-v2v


Version-Release number of selected component (if applicable):
virt-v2v-1.36.3-3.el7.x86_64
libguestfs-1.36.3-3.el7.x86_64
qemu-kvm-rhev-2.9.0-6.el7.x86_64
libvirt-3.2.0-5.el7.x86_64



How reproducible:
100%

Steps to Reproduce:
1.Convert a rhel6 guest whose network works well (screenshot"orginal-rhel6")from esxi6.5 to openstack by virt-v2v
# virt-v2v -ic vpx://root@10.73.75.182/data/10.73.3.19/?no_verify=1 esx5.5-rhel6.9-x86_64 -o glance --password-file /tmp/passwd -v -x |& tee > virt-v2v-rhel6-openstack.log

2.After finishing conversion, launch the guest image as instance at openstack
At the launch setting, input the guest name "esx6.5-rhel6.9"-> in Flavor option, add "m1.small"-> in network option, add "private" network, pls refer to screenshot"openstak-network"-> launch instance

3.Open the guest console after finishing launch, check the network status as screenshot"rhel6-glance",guest could obtain ip but failed to restart network service


Actual results:
Failed to restart network service in rhel6 guest after converting to glance by virt-v2ver

Expected results:
Successed to restart network service in rhel6 guest after converting to glance by virt-v2ver

Additional info:
1.Successed to restart network service in rhel6 guest after converting to rhv by virt-v2v

Comment 2 mxie@redhat.com 2017-05-24 09:10:22 UTC
Created attachment 1281895 [details]
rhel6-glance

Comment 3 mxie@redhat.com 2017-05-24 09:11:35 UTC
Created attachment 1281896 [details]
original-rhel6

Comment 4 mxie@redhat.com 2017-05-24 09:12:30 UTC
Created attachment 1281897 [details]
lspci-original-rhel6

Comment 5 mxie@redhat.com 2017-05-24 10:52:17 UTC
Created attachment 1281916 [details]
rhel6-openstack-lspci.log

Comment 6 mxie@redhat.com 2017-05-24 10:52:53 UTC
Created attachment 1281917 [details]
rhel6-openstack-dmesg.log

Comment 7 mxie@redhat.com 2017-06-08 04:09:32 UTC
Found similar problem with this bug:

Description of problem:
Failed to restart network service after converting rhel6 guest from disk by virt-v2v 

Version-Release number of selected component (if applicable):
libguestfs-1.36.3-4.el7.x86_64
virt-v2v-1.36.3-4.el7.x86_64
qemu-kvm-rhev-2.9.0-8.el7.x86_64
libvirt-3.2.0-7.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Prepare a rhel6 guest whose network name is eth0 and network serivce could be restarted successfully

2.Using virt-v2v to convert this guest from disk to rhv
# virt-v2v -i disk xen-pv-rhel6.9-x86_64-sda -o rhv -os 10.73.131.93:/home/nfs_export -if qcow2
[   0.0] Opening the source -i disk -if qcow2 xen-pv-rhel6.9-x86_64-sda
[   0.0] Creating an overlay to protect the source from being modified
[   0.1] Initializing the target -o rhv -os 10.73.131.93:/home/nfs_export
[   0.4] Opening the overlay
[   1.5] Inspecting the overlay
[  11.3] Checking for sufficient free disk space in the guest
[  11.3] Estimating space required on target for each disk
[  11.3] Converting Red Hat Enterprise Linux Server release 6.9 (Santiago) to run on KVM
virt-v2v: warning: /files/boot/grub/device.map/hd0 references unknown 
device "vda".  You may have to fix this entry manually after conversion.
virt-v2v: warning: /files/etc/sysconfig/grub/boot references unknown device 
"vda".  You may have to fix this entry manually after conversion.
virt-v2v: This guest has virtio drivers installed.
[  85.7] Mapping filesystem data to avoid copying unused and blank areas
[  85.8] Closing the overlay
[  86.0] Checking if the guest needs BIOS or UEFI to boot
[  86.0] Assigning disks to buses
[  86.0] Copying disk 1/1 to /tmp/v2v.kMgJ6I/4f699f1d-7f77-4e73-a0d2-a3b73c1a0c29/images/af8b2af7-57a4-43ee-9a2f-f6e63525a785/325b50b7-6db3-43d3-9a52-d69649cf0110 (qcow2)
    (100.00/100%)
[ 147.4] Creating output metadata
[ 147.5] Finishing off

3.After finishing conversion, import the guest from data domain to export domain
4.Power on the guest, but find the network name is changed to eth1 and failed to restart network service, pls refer to screenshot "rhel6-convert-from-disk" and log "rhel6-convert-from-disk"

Comment 8 mxie@redhat.com 2017-06-08 04:10:13 UTC
Created attachment 1285972 [details]
rhel6-convert-from-disk.png

Comment 9 mxie@redhat.com 2017-06-08 04:10:48 UTC
Created attachment 1285973 [details]
rhel6-convert-from-disk.log

Comment 10 Pino Toscano 2017-06-09 08:32:44 UTC
(In reply to mxie@redhat.com from comment #7)
> Found similar problem with this bug:
> 
> Description of problem:
> Failed to restart network service after converting rhel6 guest from disk by
> virt-v2v 

Please open a new bug for this, as vmware and disk are very different input methods, and will need very different fixes.
(Also, I'm not sure a disk input can be properly handled, since there is no information on the hardware configuration of the guest.)

Comment 11 mxie@redhat.com 2017-06-09 10:14:49 UTC
Thanks Pino, file bug 1460168 to track the problem of comment 7

Comment 14 RHEL Program Management 2021-01-15 07:36:55 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.

Comment 15 Richard W.M. Jones 2021-02-18 15:08:29 UTC
Sorry I missed this one.  It shouldn't have been closed.


Note You need to log in before you can comment on or make changes to this bug.